Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
youtube
/
channel
Get YouTube channel
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/youtube/channel \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "url": "https://www.youtube.com/@OpenAI"
}
'
{
  "data": {
    "url": "<string>",
    "text": "<string>",
    "statusCode": 123,
    "channelId": "<string>",
    "handle": "<string>",
    "title": "<string>",
    "description": "<string>",
    "subscriberCount": 123,
    "videoCount": 123,
    "viewCount": 123,
    "thumbnailUrl": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/youtube/channel

Get public YouTube channel content.
Retrieve public page content for a YouTube channel URL.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/youtube/channel \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://www.youtube.com/@OpenAI"}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
url
string
required
Example:

"https://www.youtube.com/@OpenAI"

Response

YouTube channel page content.

data
object
required
meta
object
required